#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(at803x_debug_reg_read, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_mask, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_write, "_gpl", "");
KSYMTAB_FUNC(at803x_set_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_get_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_ack_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_config_intr, "_gpl", "");
KSYMTAB_FUNC(at803x_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_read_specific_status, "_gpl", "");
KSYMTAB_FUNC(at803x_config_mdix, "_gpl", "");
KSYMTAB_FUNC(at803x_prepare_config_aneg, "_gpl", "");
KSYMTAB_FUNC(at803x_read_status, "_gpl", "");
KSYMTAB_FUNC(at803x_get_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_set_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_fault_length, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_start, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_wait_for_completion, "_gpl", "");
KSYMTAB_FUNC(qca808x_cable_test_get_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_enable, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_brightness_set, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_blink_set, "_gpl", "");

SYMBOL_CRC(at803x_debug_reg_read, 0xcde51342, "_gpl");
SYMBOL_CRC(at803x_debug_reg_mask, 0x76fe0c86, "_gpl");
SYMBOL_CRC(at803x_debug_reg_write, 0x736a7a12, "_gpl");
SYMBOL_CRC(at803x_set_wol, 0xb9243b09, "_gpl");
SYMBOL_CRC(at803x_get_wol, 0xbaa7f0d9, "_gpl");
SYMBOL_CRC(at803x_ack_interrupt, 0x29921ec0, "_gpl");
SYMBOL_CRC(at803x_config_intr, 0xd91e6409, "_gpl");
SYMBOL_CRC(at803x_handle_interrupt, 0x574c63bb, "_gpl");
SYMBOL_CRC(at803x_read_specific_status, 0x7488db65, "_gpl");
SYMBOL_CRC(at803x_config_mdix, 0x7dabaf46, "_gpl");
SYMBOL_CRC(at803x_prepare_config_aneg, 0xa533633e, "_gpl");
SYMBOL_CRC(at803x_read_status, 0xd1eaeef4, "_gpl");
SYMBOL_CRC(at803x_get_tunable, 0xa067035d, "_gpl");
SYMBOL_CRC(at803x_set_tunable, 0x902bcd78, "_gpl");
SYMBOL_CRC(at803x_cdt_fault_length, 0xede3878a, "_gpl");
SYMBOL_CRC(at803x_cdt_start, 0x188629b5, "_gpl");
SYMBOL_CRC(at803x_cdt_wait_for_completion, 0x16e16839, "_gpl");
SYMBOL_CRC(qca808x_cable_test_get_status, 0x089158a2, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_enable, 0xc4fda71d, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_status, 0x156d98f0, "_gpl");
SYMBOL_CRC(qca808x_led_reg_brightness_set, 0xa0040b06, "_gpl");
SYMBOL_CRC(qca808x_led_reg_blink_set, 0x0f07520c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd1603296, "mdiobus_write" },
	{ 0x39449467, "mdiobus_read" },
	{ 0x35dfc64, "phy_write_mmd" },
	{ 0x153b555e, "phy_modify" },
	{ 0x95ee421f, "phy_trigger_machine" },
	{ 0x6106910f, "phy_error" },
	{ 0xabd3d786, "phy_modify_changed" },
	{ 0xe187362a, "genphy_update_link" },
	{ 0x52574663, "genphy_read_lpa" },
	{ 0xd3315ce, "phy_resolve_aneg_pause" },
	{ 0x67a172c0, "phy_init_hw" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf40d3cbb, "_dev_err" },
	{ 0x8405ba08, "phy_read_mmd" },
	{ 0x5372ad38, "ethnl_cable_test_result_with_src" },
	{ 0x2ad3839, "ethnl_cable_test_fault_length_with_src" },
	{ 0x9648b624, "phy_modify_mmd" },
	{ 0x31aa3ca8, "genphy_soft_reset" },
	{ 0x14df32df, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "771CD4DBC31CBCACC4F04AF");
MODULE_INFO(rhelversion, "9.7");
