#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nfs4_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_setup_sequence, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_rw_stateid, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_migration_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_moved_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_stateid_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs_remove_bad_delegation, "_gpl", "");
KSYMTAB_FUNC(nfs_map_string_to_numeric, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_ds_client, "_gpl", "");

SYMBOL_CRC(nfs4_sequence_done, 0xf30ef9c7, "_gpl");
SYMBOL_CRC(nfs4_setup_sequence, 0x65623d17, "_gpl");
SYMBOL_CRC(nfs4_set_rw_stateid, 0xff7a16b4, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_recovery, 0x47a396e3, "_gpl");
SYMBOL_CRC(nfs4_schedule_migration_recovery, 0x29570002, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_moved_recovery, 0x7ad53d21, "_gpl");
SYMBOL_CRC(nfs4_schedule_stateid_recovery, 0xda923673, "_gpl");
SYMBOL_CRC(nfs_remove_bad_delegation, 0x67aa5101, "_gpl");
SYMBOL_CRC(nfs_map_string_to_numeric, 0x6085edbd, "_gpl");
SYMBOL_CRC(nfs4_set_ds_client, 0xc775f62f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x78bd7eac, "rpc_put_task" },
	{ 0x6edadb0c, "svc_generic_rpcbind_set" },
	{ 0xd971bdf8, "nfs_clone_server" },
	{ 0x3d36c313, "nfs_access_add_cache" },
	{ 0xe914e41e, "strcpy" },
	{ 0x12b43fd1, "filemap_fdatawrite" },
	{ 0xdcf7265, "nfs_show_stats" },
	{ 0x7145ed2d, "ida_alloc_range" },
	{ 0x3b104569, "nfs_server_remove_lists" },
	{ 0x3e612f17, "generic_listxattr" },
	{ 0x5328c8bb, "revert_creds" },
	{ 0xf863c371, "nfs_writeback_update_inode" },
	{ 0xa5174fc2, "clear_inode" },
	{ 0x18b49760, "bpf_trace_run4" },
	{ 0x35f681e3, "user_destroy" },
	{ 0x84ab426, "idr_find" },
	{ 0xaae09c23, "param_ops_uint" },
	{ 0x5c2961f1, "user_revoke" },
	{ 0x26467bcd, "d_exact_alias" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x2f3e0ab1, "nfs_alloc_client" },
	{ 0x95c7fd04, "register_sysctl" },
	{ 0xdae9b5d7, "nfs4_disable_idmapping" },
	{ 0x5ccf862a, "nfs_mark_client_ready" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x39fba380, "xdr_write_pages" },
	{ 0xbcec3eb, "rpc_shutdown_client" },
	{ 0xa60b9bc1, "svc_bind" },
	{ 0x8cd960fc, "nfs_d_prune_case_insensitive_aliases" },
	{ 0x40739385, "nfs_wait_bit_killable" },
	{ 0x8c7269f1, "nfs_free_inode" },
	{ 0x9a737b5f, "nfs_access_zap_cache" },
	{ 0x77cef228, "nfs_sb_deactive" },
	{ 0xd03f1eb5, "nfs_wb_all" },
	{ 0x8d8bded6, "generic_file_splice_read" },
	{ 0x8e46f982, "__break_lease" },
	{ 0xc53f58f7, "svc_recv" },
	{ 0xd61dcace, "nfs_drop_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xebd085b, "xdr_inline_decode" },
	{ 0x5d9daa94, "trace_raw_output_prep" },
	{ 0xbd3d73fb, "nfs_wait_client_init_complete" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb3cd119f, "rpc_net_ns" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xdc985f75, "rt_mutex_base_init" },
	{ 0x583985f5, "nfs_mknod" },
	{ 0xa94c3f83, "nfs_inode_attach_open_context" },
	{ 0x1d02269, "finish_wait" },
	{ 0xcde60ff6, "rpc_localaddr" },
	{ 0xf52adb7a, "rpc_wake_up" },
	{ 0xeb5027eb, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xa22f3b, "idr_replace" },
	{ 0x6543f517, "nfs_lock" },
	{ 0xc27425aa, "unregister_key_type" },
	{ 0x9ee3e572, "nfs_client_init_is_complete" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x679ff112, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x9f70b7fa, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x2bae4bd0, "trace_event_raw_init" },
	{ 0x1e424d61, "user_preparse" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0x51d30b2e, "ihold" },
	{ 0x9ca31a4e, "rpc_peeraddr" },
	{ 0x37a0cba, "kfree" },
	{ 0x874aaf39, "nfs_post_op_update_inode" },
	{ 0x3105c4e8, "svc_exit_thread" },
	{ 0x685f7c89, "iput" },
	{ 0x27f3626c, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xe33d6922, "logfc" },
	{ 0xba5b0d37, "iter_file_splice_write" },
	{ 0xbc57acf0, "rpc_pton" },
	{ 0xacce7310, "nfs_sb_active" },
	{ 0x1f2a9970, "rpc_ntop" },
	{ 0xce01850e, "rpc_wake_up_queued_task" },
	{ 0xc9826106, "bpf_trace_run2" },
	{ 0x76ac86ad, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x1e119a79, "rpcauth_get_pseudoflavor" },
	{ 0x6038a5f, "rpc_restart_call_prepare" },
	{ 0x219035fe, "event_triggers_call" },
	{ 0xc9f6b57c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x1fbc46d, "_copy_from_pages" },
	{ 0x55c0b765, "__module_get" },
	{ 0x77350f50, "rpc_task_release_transport" },
	{ 0x229c7313, "xdr_page_pos" },
	{ 0xdff8fbac, "nfs_file_release" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xc8f7a58, "key_instantiate_and_link" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x3539f11b, "match_strlcpy" },
	{ 0x6ec48b4e, "xdr_read_pages" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0xaa0c0bea, "register_key_type" },
	{ 0x99aedd1f, "rpc_sleep_on" },
	{ 0xc75efb65, "rpc_run_task" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x8354c074, "keyring_alloc" },
	{ 0xba35731f, "nfs_create" },
	{ 0x9bfd638d, "complete_request_key" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x923fb609, "__put_cred" },
	{ 0x607f7ba9, "nfs_update_delegated_mtime" },
	{ 0x13bb8dac, "nfs_statfs" },
	{ 0xd20db6b, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0xe111e3c4, "trace_event_buffer_commit" },
	{ 0x584b8482, "nfs_inc_attr_generation_counter" },
	{ 0x90a5530f, "nfsiod_workqueue" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x386f718b, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x9a52bcde, "nfs_mkdir" },
	{ 0x88ad37bf, "nfs_revalidate_inode" },
	{ 0x14dfd7e0, "nfs_file_mmap" },
	{ 0xd26dbf8e, "nfs_get_lock_context" },
	{ 0x4b617b3f, "d_drop" },
	{ 0x92997ed8, "_printk" },
	{ 0xdb25b7f5, "nfs_set_cache_invalid" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x7f074056, "xdr_enter_page" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa903a0ee, "unregister_sysctl_table" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xeba4081e, "trace_event_ignore_this_pid" },
	{ 0x78ef67f4, "make_kuid" },
	{ 0xd0f04dda, "truncate_inode_pages_final" },
	{ 0xfe84883, "generic_setlease" },
	{ 0xc81f9615, "rpc_switch_client_transport" },
	{ 0xa916b694, "strnlen" },
	{ 0x25e06adc, "xdr_stream_decode_string_dup" },
	{ 0xc5afb68c, "locks_init_lock" },
	{ 0xece99e36, "rpc_destroy_pipe_data" },
	{ 0xca24597b, "nfs_get_client" },
	{ 0x13489f93, "__free_pages" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0xe9ae3ee8, "nfs_atomic_open" },
	{ 0xa37db827, "rpc_pipe_generic_upcall" },
	{ 0x5f8b29ef, "nfs_file_fsync" },
	{ 0x2e27b164, "module_put" },
	{ 0xe15d4d82, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xa8e4dadf, "mntput" },
	{ 0x4c469beb, "nfs_put_lock_context" },
	{ 0x6dfe0c21, "nfs_rename" },
	{ 0x78008bd0, "nfs_lookup" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xbf9c3b2f, "nfs_sysfs_link_rpc_client" },
	{ 0x8284f8ac, "nfs_put_client" },
	{ 0xf95a71b0, "nfs_show_options" },
	{ 0x2296548d, "dns_query" },
	{ 0x26884ff7, "nfs_alloc_fhandle" },
	{ 0xaaa0b487, "key_put" },
	{ 0xecb91097, "mount_subtree" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xe700d6ca, "get_nfs_open_context" },
	{ 0x3450f15, "perf_trace_run_bpf_submit" },
	{ 0x9b881001, "nfs_clear_verifier_delegated" },
	{ 0x3e4126b8, "nfs_sysfs_add_server" },
	{ 0x49608959, "migrate_disable" },
	{ 0x305201c9, "down_write" },
	{ 0x61aaec3a, "rpc_machine_cred" },
	{ 0x42f2c81f, "nfs4_client_id_uniquifier" },
	{ 0x1344d31e, "nfs_do_submount" },
	{ 0xb02ffbf7, "vfs_dup_fs_context" },
	{ 0x4a72c051, "up_write" },
	{ 0x5e8b47b5, "request_key_with_auxdata" },
	{ 0x5261f15e, "rpc_clone_client_set_auth" },
	{ 0x2df6e248, "rpc_clone_client" },
	{ 0xa295c9c6, "svc_set_num_threads" },
	{ 0x4e3567f7, "match_int" },
	{ 0xec2a2667, "idr_alloc" },
	{ 0xe6cda567, "svc_rpcb_cleanup" },
	{ 0xa07a37f0, "memchr" },
	{ 0xa6ab3f75, "radix_tree_preloads" },
	{ 0x8d085654, "user_describe" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x18bf6422, "put_fs_context" },
	{ 0xd52e6ca2, "nfs4_dentry_operations" },
	{ 0x37c259bf, "__module_put_and_kthread_exit" },
	{ 0xb9e28f51, "rpc_peeraddr2str" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x5fb861a5, "nfs_client_for_each_server" },
	{ 0x9edb4a68, "nfs_clear_inode" },
	{ 0x79082e26, "rpc_sleep_on_priority" },
	{ 0x747eceb6, "nfs_invalidate_atime" },
	{ 0xb96e61d2, "bpf_trace_run5" },
	{ 0x954f099c, "idr_preload" },
	{ 0x7098cd01, "nfs_umount_begin" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x438abcd8, "nfs_getattr" },
	{ 0x2964cf99, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0xa38ec00d, "nfs_zap_acl_cache" },
	{ 0x1abbebad, "from_kgid" },
	{ 0x92fe3ebb, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x7a54d622, "nfs_write_inode" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8c86081b, "ida_free" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xd70eaad9, "rpc_wake_up_first" },
	{ 0x3a669dff, "alloc_nfs_open_context" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x9293723e, "vfs_parse_fs_param" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xe3b25bc6, "nfs_path" },
	{ 0x58fd76e6, "rpc_sleep_on_priority_timeout" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xc2241828, "nfs_create_rpc_client" },
	{ 0x71c192c1, "register_nfs_version" },
	{ 0xb70924af, "rpc_sleep_on_timeout" },
	{ 0x973bc18e, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xa0d502a7, "rpc_call_start" },
	{ 0xecac6268, "bpf_trace_run1" },
	{ 0x9bb30fb3, "svc_create" },
	{ 0x847db924, "nfs_file_set_open_context" },
	{ 0xe54a1b22, "rpc_init_priority_wait_queue" },
	{ 0x3f2690f2, "nfs_check_flags" },
	{ 0xf242ec4c, "rpc_call_sync" },
	{ 0xcbe1374d, "from_kuid" },
	{ 0x9e4905d3, "rpc_put_task_async" },
	{ 0x772e0612, "rpc_prepare_reply_pages" },
	{ 0x3e0597d6, "rpc_queue_upcall" },
	{ 0xf661bdb6, "nfs_free_server" },
	{ 0xe731ad8c, "fc_mount" },
	{ 0xa7b1898c, "nfs_setattr" },
	{ 0xfb578fc5, "memset" },
	{ 0x7bc1369d, "xdr_terminate_string" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x416c4ef3, "nfs4_fs_type" },
	{ 0xfce23af, "__alloc_pages" },
	{ 0x4ea37d19, "key_revoke" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0xf263adb8, "rpc_delay" },
	{ 0xd68b8138, "nfs_flock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x41aa5f06, "__init_waitqueue_head" },
	{ 0xc2ecc08d, "svc_generic_init_request" },
	{ 0x88c88474, "_atomic_dec_and_lock" },
	{ 0x49939c6e, "key_validate" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0x8e8e0f6a, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x54eeada6, "rt_spin_unlock" },
	{ 0xb94da5ea, "rpc_remove_pipe_dir_object" },
	{ 0xe6d6b541, "nfs_may_open" },
	{ 0x9beb09b7, "from_kgid_munged" },
	{ 0xfc619abd, "_nfs_display_fhandle" },
	{ 0x4786621e, "nfs_server_copy_userdata" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa1ec1ca4, "down_read" },
	{ 0xa8a316b0, "rt_spin_lock" },
	{ 0xa6da9bfb, "xdr_reserve_space" },
	{ 0xf5382efd, "rpcauth_lookupcred" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x67b6ec63, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x92b8bef4, "nfs_rmdir" },
	{ 0x1663b2df, "bpf_trace_run3" },
	{ 0xd56bf92d, "override_creds" },
	{ 0x4cb9e001, "recover_lost_locks" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdf9d720c, "rpc_mkpipe_dentry" },
	{ 0x70f77325, "rpc_mkpipe_data" },
	{ 0xc7e8d6d1, "rpc_add_pipe_dir_object" },
	{ 0x2f15be70, "igrab" },
	{ 0x76d6e7af, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x45c014bf, "nfs_async_iocounter_wait" },
	{ 0x3a5c828a, "nfs_file_read" },
	{ 0x759ba997, "trace_event_buffer_reserve" },
	{ 0x3a498f4a, "nfs_alloc_fattr_with_label" },
	{ 0xcba092ec, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x2fbe918b, "nfs_setattr_update_inode" },
	{ 0x562eb08f, "nfs_instantiate" },
	{ 0x26aecb40, "init_user_ns" },
	{ 0xfa2d97a7, "rpc_uaddr2sockaddr" },
	{ 0x10118b94, "user_read" },
	{ 0xb01f042, "request_key_tag" },
	{ 0x8ead800c, "user_free_preparse" },
	{ 0x5acb4547, "svc_xprt_destroy_all" },
	{ 0x5bb02a0c, "generic_key_instantiate" },
	{ 0x494d2fd6, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0xb5a32dba, "nfs_link" },
	{ 0x812e018e, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc3a2be67, "nfs_net_id" },
	{ 0x2ff78d0c, "rpcauth_stringify_acceptor" },
	{ 0x75a5b99, "dput" },
	{ 0xe47450bc, "lockref_get" },
	{ 0x93efa8c4, "rpc_init_wait_queue" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x24a51a10, "put_rpccred" },
	{ 0x294c6a2, "nfs_callback_nr_threads" },
	{ 0x655bf550, "put_nfs_open_context" },
	{ 0x71935dcf, "nfs_show_path" },
	{ 0xa16a1bfb, "nfs_show_devname" },
	{ 0x6609a2d8, "nfs_permission" },
	{ 0x9df5a918, "__put_user_ns" },
	{ 0xd496d8a, "cred_fscmp" },
	{ 0xb9343efa, "rpc_unlink" },
	{ 0x4ba40d49, "proc_dointvec" },
	{ 0x2b0473d2, "nfs_file_write" },
	{ 0x9d0f073f, "nfs_probe_server" },
	{ 0xd081d850, "nfs_setsecurity" },
	{ 0x73e01af3, "rpc_clnt_test_and_add_xprt" },
	{ 0x943933eb, "nfs_force_lookup_revalidate" },
	{ 0x87cfd672, "nfs_file_llseek" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x30f9aef2, "rpc_clnt_add_xprt" },
	{ 0xca711d72, "dget_parent" },
	{ 0xfcc865b8, "from_kuid_munged" },
	{ 0xdf2ae951, "prepare_kernel_cred" },
	{ 0x2240ab06, "kmalloc_trace" },
	{ 0x328a118c, "nfs_alloc_server" },
	{ 0x813287c0, "rpc_call_async" },
	{ 0xb97db35d, "filemap_write_and_wait_range" },
	{ 0xfda3d5e7, "nfs_server_insert_lists" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x754d539c, "strlen" },
	{ 0x5ea828c0, "nfs_free_client" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xd6b26e3c, "rpc_init_pipe_dir_object" },
	{ 0x508edb61, "nfs_refresh_inode" },
	{ 0x9aa71919, "refcount_dec_and_lock" },
	{ 0x349cba85, "strchr" },
	{ 0xc6c8b8f1, "nfs_access_set_mask" },
	{ 0x363e6674, "nfs_init_server_rpcclient" },
	{ 0x1b0b7921, "rpc_set_connect_timeout" },
	{ 0x2afe805e, "rpcauth_create" },
	{ 0x4f14b3aa, "xdr_stream_pos" },
	{ 0x44b4ad5a, "key_set_timeout" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xefa414fb, "nfs_delay_retrans" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x10962bc2, "nfs_auth_info_match" },
	{ 0xeb772c2f, "up_read" },
	{ 0x39e05ac3, "nfs_idmap_cache_timeout" },
	{ 0x2daf4506, "__mutex_rt_init" },
	{ 0xacdceec2, "svc_xprt_create" },
	{ 0x245fe1f, "rpc_wait_for_completion_task" },
	{ 0x2068013b, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x317abeff, "nfs_alloc_inode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe4310fdf, "rpc_destroy_wait_queue" },
	{ 0xc771e5e7, "kmalloc_caches" },
	{ 0xd3fa3a18, "nfs_fhget" },
	{ 0xf4b770e4, "nfs_symlink" },
	{ 0xce3bcafd, "locks_copy_lock" },
	{ 0x51892d61, "nfs_callback_set_tcpport" },
	{ 0x17a4b5a4, "nfs_unlink" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x57a50445, "nfs_set_verifier" },
	{ 0x1738b511, "proc_dointvec_minmax" },
	{ 0x14df32df, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,nfs,dns_resolver");


MODULE_INFO(srcversion, "0544DE00C75B255F22E0DF5");
MODULE_INFO(rhelversion, "9.7");
