#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macvlan_common_setup, "_gpl", "");
KSYMTAB_FUNC(macvlan_common_newlink, "_gpl", "");
KSYMTAB_FUNC(macvlan_dellink, "_gpl", "");
KSYMTAB_FUNC(macvlan_link_register, "_gpl", "");

SYMBOL_CRC(macvlan_common_setup, 0xba3da0e1, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0xbfbef632, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0xe7a90531, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0xa6ae44a8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7382da72, "netif_stacked_transfer_operstate" },
	{ 0xc059d4c, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xbf778954, "unregister_netdevice_queue" },
	{ 0xe72f6e7c, "netdev_upper_dev_unlink" },
	{ 0x663876b5, "__dev_get_by_index" },
	{ 0x3afb8bc5, "register_netdevice" },
	{ 0x3787f8e0, "netdev_upper_dev_link" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xf4105ab7, "linkwatch_fire_event" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd9def5a1, "dev_uc_sync" },
	{ 0x90f4e9c9, "dev_mc_sync" },
	{ 0x27f3626c, "pcpu_hot" },
	{ 0x51811d30, "netif_rx" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x3435b4e4, "skb_clone" },
	{ 0xc1e87fd3, "__dev_forward_skb" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xa8a316b0, "rt_spin_lock" },
	{ 0x54eeada6, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5f773df5, "consume_skb" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x65d2c234, "__dev_queue_xmit" },
	{ 0x810b2640, "dev_forward_skb" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x61fd7247, "__netif_rx" },
	{ 0x81566879, "ip_check_defrag" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3df4858b, "netdev_core_stats_inc" },
	{ 0xf846af52, "passthru_features_check" },
	{ 0x1b057102, "eth_validate_addr" },
	{ 0x2b201dbe, "ndo_dflt_fdb_dump" },
	{ 0x9373c576, "ethtool_op_get_link" },
	{ 0xceedd6be, "eth_header_parse" },
	{ 0xe09e911d, "eth_header_cache" },
	{ 0xf16dfc4b, "eth_header_cache_update" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x74cfff10, "ether_setup" },
	{ 0x9074bf6d, "__ethtool_get_link_ksettings" },
	{ 0xe12f2785, "ethtool_get_ts_info_by_layer" },
	{ 0x5a30ff00, "init_net" },
	{ 0xd40b8884, "generic_hwtstamp_set_lower" },
	{ 0x23421a3b, "generic_hwtstamp_get_lower" },
	{ 0xf52ee301, "dev_mc_del" },
	{ 0xb60e2077, "dev_uc_del" },
	{ 0x10cf18f6, "dev_mc_add_excl" },
	{ 0xe1bc1657, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x74734eed, "vlan_vid_del" },
	{ 0xcbca2ea5, "vlan_vid_add" },
	{ 0x13aa4ac8, "dev_set_allmulti" },
	{ 0xc560d80b, "dev_set_promiscuity" },
	{ 0xf112e5e6, "dev_uc_unsync" },
	{ 0x4837112c, "dev_mc_unsync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xff341cd1, "netdev_rx_handler_unregister" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x5b2abbb1, "sk_skb_reason_drop" },
	{ 0xc5431409, "dev_set_mac_address" },
	{ 0x37a0cba, "kfree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc771e5e7, "kmalloc_caches" },
	{ 0x2240ab06, "kmalloc_trace" },
	{ 0x938d1e38, "rtnl_link_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x6d7fa2f2, "rtnl_link_unregister" },
	{ 0x6e2b5444, "nla_put" },
	{ 0xa7668a0e, "netdev_is_rx_handler_busy" },
	{ 0xdc985f75, "rt_mutex_base_init" },
	{ 0x40989382, "netdev_rx_handler_register" },
	{ 0xb94a3dd7, "dev_uc_add" },
	{ 0xb1114813, "call_netdevice_notifiers" },
	{ 0x5572fd4e, "netif_inherit_tso_max" },
	{ 0x3cdf2590, "netdev_update_features" },
	{ 0x14df32df, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4A709F56BF6115152F7F51F");
MODULE_INFO(rhelversion, "9.7");
