#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip6_tnl_parse_tlv_enc_lim, "", "");
KSYMTAB_FUNC(ip6_tnl_get_cap, "", "");
KSYMTAB_FUNC(ip6_tnl_rcv_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_rcv, "", "");
KSYMTAB_FUNC(ip6_tnl_xmit_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_xmit, "", "");
KSYMTAB_FUNC(ip6_tnl_change_mtu, "", "");
KSYMTAB_FUNC(ip6_tnl_get_iflink, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_add_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_del_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_get_link_net, "", "");

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0x6c17a826, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0x3a883d4f, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0xed807f78, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0xc0c99aed, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0x5354a55e, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0x35c1c390, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0xd3ca1b55, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0x550b5b4d, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0xa3fd562a, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0x550df60d, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0xeedc4a3b, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0x841af59d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x6e519a1b, "ip_tunnel_header_ops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0x5a30ff00, "init_net" },
	{ 0x40cdf722, "alloc_netdev_mqs" },
	{ 0x3f8abd6e, "register_netdev" },
	{ 0xa916b694, "strnlen" },
	{ 0xa926b6ba, "free_netdev" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x6d7fa2f2, "rtnl_link_unregister" },
	{ 0xf86096b4, "ip6_local_out" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x27f3626c, "pcpu_hot" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x3750f386, "__get_hash_from_flowi6" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xc86907b7, "gro_cells_init" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x8e75d741, "__pskb_pull_tail" },
	{ 0x3afb8bc5, "register_netdevice" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0x540a7a76, "netdev_state_change" },
	{ 0xb2ad1543, "ns_capable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc0794c5a, "dst_cache_get" },
	{ 0x8c0f2b1b, "ipv4_mtu" },
	{ 0x7b0f4b90, "skb_scrub_packet" },
	{ 0x41f0a8b2, "skb_realloc_headroom" },
	{ 0x2c7c9bbb, "skb_set_owner_w" },
	{ 0x5f773df5, "consume_skb" },
	{ 0x35f991bd, "ipv6_push_frag_opts" },
	{ 0x2ecf0873, "skb_push" },
	{ 0xb53c185d, "ip6_route_output_flags" },
	{ 0x9fc58a35, "ipv6_dev_get_saddr" },
	{ 0x500ebfa, "dst_cache_set_ip6" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x8cda093, "skb_copy_bits" },
	{ 0x1a656aef, "ip6_dst_hoplimit" },
	{ 0x8874c1f3, "neigh_destroy" },
	{ 0x78ef67f4, "make_kuid" },
	{ 0xd60b8077, "ip6_redirect" },
	{ 0x112d1ece, "ip6_update_pmtu" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb4710e92, "iptunnel_handle_offloads" },
	{ 0x1039e4d7, "icmpv6_ndo_send" },
	{ 0x2a4c3e26, "icmp_ndo_send" },
	{ 0x5b2abbb1, "sk_skb_reason_drop" },
	{ 0x3435b4e4, "skb_clone" },
	{ 0x6b3332a, "skb_pull" },
	{ 0x23e01a7d, "__icmpv6_send" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x36def4f0, "gro_cells_receive" },
	{ 0xf3d5f027, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xfd2c5db4, "__iptunnel_pull_header" },
	{ 0xa6c794f, "metadata_dst_alloc" },
	{ 0xa4791f68, "ip_route_output_flow" },
	{ 0x3f5c69eb, "ip_route_input_noref" },
	{ 0x6431860c, "__icmp_send" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x6e8e51b5, "dev_get_tstats64" },
	{ 0xde927a03, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf3b0a53a, "ip6tun_encaps" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x70fec850, "ipv6_chk_addr_and_flags" },
	{ 0x26202e66, "dev_get_by_index_rcu" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x66d40b3b, "register_pernet_device" },
	{ 0x616496a5, "xfrm6_tunnel_register" },
	{ 0x938d1e38, "rtnl_link_register" },
	{ 0xfb7dbd98, "xfrm6_tunnel_deregister" },
	{ 0xb36d2623, "unregister_pernet_device" },
	{ 0x6e2b5444, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbf778954, "unregister_netdevice_queue" },
	{ 0xfdd078d5, "rt6_lookup" },
	{ 0x2a5bb8e6, "dst_release" },
	{ 0x663876b5, "__dev_get_by_index" },
	{ 0x14df32df, "module_layout" },
};

MODULE_INFO(depends, "ipv6,tunnel6");


MODULE_INFO(srcversion, "3DD7C01CB2A7CAF119C80A5");
MODULE_INFO(rhelversion, "9.7");
